drop schema loader cascade;
create schema loader authorization test;

delete from geometry_columns where f_table_schema = 'loader';

-- first field: char
CREATE TABLE loader."NoGeomFirstTest"
(
  cod character(16),
  ord character(4),
  descrizione character(254),
  id integer
  )
WITH (
  OIDS=FALSE
);

-- first field non char
CREATE TABLE loader."NoGeomTest"
(
  id integer,
  cod character(16),
  ord character(4),
  descrizione character(254)
  )
WITH (
  OIDS=FALSE
);

-- first field: char
CREATE TABLE loader."PlineFirstTest"
(
  cod character(4),
  id integer,
  "carr_sensoMarcia" integer,
  "carr_largDx" double precision,
  "carr_largSn" double precision,
  "comeG3" character(1),
  tipo_cod character(16)
)
WITH (
  OIDS=FALSE
);

select addgeometrycolumn('loader', 'PlineFirstTest', 'geom', 3003, 'LINESTRING', 2);

-- make sure this is the last field
alter table loader."PlineFirstTest" add "edit_istCreazione" character(40);

-- first field non char
CREATE TABLE loader."PlineTest"
(
  id integer,
  cod character(4),
  "carr_sensoMarcia" integer,
  "carr_largDx" double precision,
  "carr_largSn" double precision,
  "comeG3" character(1),
  tipo_cod character(16)
)
WITH (
  OIDS=FALSE
);

select addgeometrycolumn('loader', 'PlineTest', 'geom', 3003, 'LINESTRING', 2);

-- make sure this is the last field
alter table loader."PlineTest" add "edit_istCreazione" character(40);

